<?xml version="1.0" encoding="UTF-8"?>
<persistence xmlns="http://java.sun.com/xml/ns/persistence"
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://java.sun.com/xml/ns/persistence http://java.sun.com/xml/ns/persistence/persistence_1_0.xsd"
	version="1.0">

    <persistence-unit name="kontor" transaction-type="JTA">
        <provider>org.eclipse.persistence.jpa.PersistenceProvider</provider>
        <jta-data-source>jdbc/kontor</jta-data-source>
	<!--<exclude-unlisted-classes>false</exclude-unlisted-classes>-->
	<!-- KontorImpl -->
	<class>com.peetz.kontor.entity.KontorUserEntity</class>
	<!-- ComicsImpl -->
	<class>com.peetz.comics.entity.ArtistEntity</class>
	<class>com.peetz.comics.entity.ComicEntity</class>
	<class>com.peetz.comics.entity.IssueEntity</class>
	<class>com.peetz.comics.entity.PublisherEntity</class>
	<class>com.peetz.comics.entity.StoryArcEntity</class>
	<class>com.peetz.comics.entity.VolumeEntity</class>
	<!-- LibraryImpl -->
	<class>com.peetz.library.entity.ArticleEntity</class>
	<class>com.peetz.library.entity.BookEntity</class>
	<class>com.peetz.library.entity.BookshelfEntity</class>
	<class>com.peetz.library.entity.FileEntity</class>
	<class>com.peetz.library.entity.MagazineEntity</class>
	<class>com.peetz.library.entity.ShelfObjectEntity</class>
	<class>com.peetz.library.entity.ShelfboardEntity</class>
	<!-- MedienImpl -->
	<class>com.peetz.medien.entity.AudioCDEntity</class>
	<class>com.peetz.medien.entity.BoxSetEntity</class>
	<class>com.peetz.medien.entity.FilmEntity</class>
	<!-- TradingCardsImpl -->
	<class>com.peetz.tradingcards.entity.BaseSetEntity</class>
	<class>com.peetz.tradingcards.entity.InsertEntity</class>
	<class>com.peetz.tradingcards.entity.ManufacturerEntity</class>
	<class>com.peetz.tradingcards.entity.ParallelSetEntity</class>
	<class>com.peetz.tradingcards.entity.PlayerEntity</class>
	<class>com.peetz.tradingcards.entity.PositionEntity</class>
	<class>com.peetz.tradingcards.entity.SportCardEntity</class>
	<class>com.peetz.tradingcards.entity.SportEntity</class>
	<class>com.peetz.tradingcards.entity.TeamEntity</class>
	<properties>
            <property name="javax.persistence.schema-generation.database.action" value="drop-and-create"/>
            <!--
            <property name="eclipselink.ddl-generation" value="drop-and-create-tables" />
            <property name="eclipselink.ddl-generation" value="create-tables" />
            <property name="eclipselink.ddl-generation.output-mode" value="database" />
            -->
        </properties>
    </persistence-unit>
</persistence>
